/*

	FILE
	 archive_table_oracle.sql

	DESCRIPTION
	  Creates xwrolds_archive_events table.

	
	HISTORY
*/

-------XWORLDS_ ARCHIVE_EVENTS TABLE--------------

DROP TABLE xworlds_archive_events;

CREATE TABLE xworlds_archive_events (
	event_id		NUMBER(20)	PRIMARY KEY,
	connector_id	        VARCHAR2(40),
	object_key		VARCHAR2(80)	NOT NULL,
	object_name		VARCHAR2(40)	NOT NULL,
	object_verb		VARCHAR2(40)	NOT NULL,
	event_priority		NUMBER(5)	NOT NULL,
	event_time		DATE		DEFAULT SYSDATE NOT NULL,
	archive_time		DATE		DEFAULT SYSDATE,
	event_status		NUMBER(5)	NOT NULL,
	event_comment		VARCHAR2(100));

-------XWORLDS_ ARCHIVE_EVENTS TABLE--------------
